Subject: Re: MIT Kfw SDK w/ Cygwin? Trying to build OpenSSH w/ GSS-API on Cygwin...
From: Nicolas Williams <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Thu, 3 Jan 2002 13:49:31 -0500

On Thu, Jan 03, 2002 at 01:42:15PM -0500, Jeffrey Altman wrote:
> > Looking at the dependencies of the Kfw DLLs I see that there is a
> > dependency on MSVCRT.DLL.
> > 
> > *FAQ check: MSVCRT.DLL and cygwin1.dll are mutually exclusive*
> > 
> > But the dependency on MSVCRT.DLL by the MIT Kfw DLLs is indirect.
> 
> What do you mean by "indirect"?  The KFW DLLs are linked to MSVCRT.DLL.

That the resulting OpenSSH Makefile does not reference it...

> > QUESTION: Does the MSVCRT.DLL/cygwin1.dll mutual exclusivity apply in
> >           this case?
> 
> More than likely the answer is 'yes'.  You can't mix C runtime
> environments.  You would need to compile KRB5 and GSSAPI with Cygwin.
> 
> > If so, then I'll give up on Kfw now and try Heimdal - unfortunately that
> > probably means giving up on Leash32.
> 
> It means giving up on Leash because when you build with Cygwin you
> probably will not have support for the Credential Cache API.
> 
> > QUESTION: Does the MIT krb5 stuff build on Cygwin? Kerbnet appears to
> >           have died some time ago...
> 
> SSH support including GSSAPI and linkage to MIT Kerberos is now in my
> K95 test builds.

Did you build Kfw with Cygwin?

>  Jeffrey Altman * Sr.Software Designer      C-Kermit 8.0 available now!!!
>  The Kermit Project @ Columbia University   includes Telnet, FTP and HTTP
>  http://www.kermit-project.org/             secured with Kerberos, SRP, and 
>  [email-masked]                OpenSSL. Interfaces with OpenSSH

Thanks,

Nico
--
-DISCLAIMER: an automatically appended disclaimer may follow. By posting-
-to a public e-mail mailing list I hereby grant permission to distribute-
-and copy this message.-

Visit our website at http://www.ubswarburg.com

This message contains confidential information and is intended only 
for the individual named.  If you are not the named addressee you 
should not disseminate, distribute or copy this e-mail.  Please 
notify the sender immediately by e-mail if you have received this 
e-mail by mistake and delete this e-mail from your system.

E-mail transmission cannot be guaranteed to be secure or error-free 
as information could be intercepted, corrupted, lost, destroyed, 
arrive late or incomplete, or contain viruses.  The sender therefore 
does not accept liability for any errors or omissions in the contents 
of this message which arise as a result of e-mail transmission.  If 
verification is required please request a hard-copy version.  This 
message is provided for informational purposes and should not be 
construed as a solicitation or offer to buy or sell any securities or 
related financial instruments.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/